sc::EAVLMMap(3)

NAME
sc::EAVLMMap -

SYNOPSIS

  Classes
class iterator

  Public Member Functions
T *& rlink (T *n) const
T * rlink (const T *n) const
T *& llink (T *n) const
T * llink (const T *n) const
T *& uplink (T *n) const
T * uplink (const T *n) const
int & balance (T *n) const
int balance (const T *n) const
K & key (T *n) const
const K & key (const T *n) const
int compare (T *n, T *m) const
int compare (T *n, const K &m) const
EAVLMMap (EAVLMMapNode< K, T > T::*node)
void initialize (EAVLMMapNode< K, T > T::*node)
void clear_without_delete ()
void clear ()
void insert (T *)
void remove (T *)
T * find (const K &) const
int height (T *node)
int height ()
void check ()
void check_node (T *) const
T * start () const
void next (const T *&) const
void next (T *&) const
iterator begin ()
iterator end ()
void print ()
int length () const
int depth (T *)

  template<class K, class T> class sc::EAVLMMap< K, T >

Author

Generated automatically by Doxygen for MPQC from the source code.